Cyberduck Mountain Duck CLI

#7692 closed enhancement (fixed)

Support "Mac Roman" encoding

Reported by: Markus Owned by: yla
Priority: low Milestone: 4.6
Component: ftp Version: 4.4.3
Severity: normal Keywords: encoding
Cc: Architecture:
Platform: Windows 8

Description

When I try to download files via FTP that where generated on an older Mac, I get issues with file names containing characters in Mac OS Roman encoding. For example, the file "Logo-wei�.eps" is not downloaded, probably because the special character is not translated to UTF-8 here. I think that adding the Mac Roman encoding would help greatly.

Change History (4)

comment:1 Changed on Dec 19, 2013 at 2:30:22 PM by dkocher

  • Owner changed from dkocher to yla
  • Summary changed from "Mac Roman" encoding to Support "Mac Roman" encoding

Does MacRoman not appear in the list of character encodings when editing your bookmark?

comment:2 Changed on Dec 20, 2013 at 6:49:31 PM by Markus

Sorry, I am afraid it does not. I have checked Windows-10000 as an alternative, too.

comment:3 Changed on Oct 17, 2014 at 1:07:17 PM by dkocher

  • Milestone set to 4.5.3

comment:4 Changed on Oct 17, 2014 at 1:22:23 PM by yla

  • Resolution set to fixed
  • Status changed from new to closed

Added x-Mac* charsets in r15389.

Note: See TracTickets for help on using tickets.
swiss made software